=== src/backend/distributed/Makefile ===
--- 
+++ 
@@ -5,8 +5,13 @@
 
 MODULE_big = citus
 EXTENSION = citus
-EXTVERSION = 5.0
-DATA_built = $(EXTENSION)--$(EXTVERSION).sql
+EXTVERSIONS = 5.0 5.0-1 5.0-2  \
+	5.1-1
+
+# All citus--*.sql files in the source directory
+DATA = $(patsubst $(citus_abs_srcdir)/%.sql,%.sql,$(wildcard $(citus_abs_srcdir)/$(EXTENSION)--*--*.sql))
+# Generated files for each version
+DATA_built = $(foreach v,$(EXTVERSIONS),$(EXTENSION)--$(v).sql)
 SCRIPTS = ../../bin/scripts/copy_to_distributed_table
 
 # directories with source files
@@ -20,8 +25,15 @@
 # be explicit about the default target
 all:
 
-# define build process for latest install file
-$(EXTENSION)--$(EXTVERSION).sql: $(EXTENSION).sql
+# generate each version's file installation file by concatenating
+# previous upgrade scripts
+$(EXTENSION)--5.0.sql: $(EXTENSION).sql
+	cat $^ > $@
+$(EXTENSION)--5.0-1.sql: $(EXTENSION)--5.0.sql $(EXTENSION)--5.0--5.0-1.sql
+	cat $^ > $@
+$(EXTENSION)--5.0-2.sql: $(EXTENSION)--5.0-1.sql $(EXTENSION)--5.0-1--5.0-2.sql
+	cat $^ > $@
+$(EXTENSION)--5.1-1.sql: $(EXTENSION)--5.0-2.sql $(EXTENSION)--5.0-2--5.1-1.sql
 	cat $^ > $@
 
 NO_PGXS = 1
