=== debian/changelog ===
citus (5.1.0-1.pgdg80+1) jessie-pgdg; urgency=medium

  * Rebuild for jessie-pgdg (jenkins-citus-source-distribution=jessie-3,
    738fa9adbf20bd4d78ed515bc98b97cc01960bc1/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Tue, 17 May 2016 19:00:37 +0200

citus (5.1.0-1) unstable; urgency=low

  * Adds distributed COPY to rapidly populate distributed tables

  * Adds support for using EXPLAIN on distributed queries

  * Adds multiuser support, including replication of GRANT commands

  * Recognizes and fast-paths single-shard SELECT statements automatically

  * Increases INSERT throughput via shard pruning optimizations

  * Improves planner performance for joins involving tables with many shards

  * Adds ability to pass columns as arguments to function calls in UPDATEs

  * Introduces transaction manager for use by multi-shard commands

  * Adds COUNT(DISTINCT ...) pushdown optimization for hash-partitioned tables

  * Adds support for some UNIQUE indexes on hash- or range-partitioned tables

  * Deprecates \stage in favor of using COPY for append-partition tables

  * Deprecates copy_to_distributed_table in favor of first-class COPY support

  * Fixes build problems when using non-packaged PostgreSQL installs

  * Fixes bug that sometimes skipped pruning when partitioned by VARCHAR column

  * Fixes bug impeding use of user functions in repartitioned subqueries

  * Fixes bug involving queries with equality comparisons of boolean types

  * Fixes crash that prevented use alongside pg_stat_statements

  * Fixes crash arising from SELECT queries that lack a target list

  * Improves warning and error messages

 -- Jason Petersen <jason@citusdata.com>  Tue, 17 May 2016 16:55:02 +0000
