=== debian/changelog ===
citus (5.1.1-1.pgdg16.04+1) xenial-pgdg; urgency=medium

  * Rebuild for xenial-pgdg (jenkins-citus-source-distribution=xenial-5,
    89570032e4a9224df0f99f7646e27471aff7e23b/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Sun, 19 Jun 2016 06:53:45 +0200

citus (5.1.1-1) unstable; urgency=low

  * Adds complex count distinct expression support in repartitioned subqueries

  * Improves task tracker job cleanup logic, addressing a memory leak

  * Fixes bug that generated incorrect results for LEFT JOIN queries

  * Improves compatibility with Debian's reproducible builds project

  * Fixes build issues on FreeBSD platforms

 -- Jason Petersen <jason@citusdata.com>  Fri, 17 Jun 2016 16:20:15 +0000
