=== src/bin/csql/Makefile ===
--- 
+++ 
@@ -36,7 +36,9 @@
 # psqlscan is compiled as part of mainloop
 mainloop.o: psqlscan.c
 psqlscan.c: FLEXFLAGS = -Cfe -p -p
-psqlscan.c: FLEX_NO_BACKUP=yes
+
+psqlscan.c: psqlscan.l
+	$(FLEX) $(FLEXFLAGS) -o'$@' $<
 
 clean: csql-clean
 csql-clean:
