=== src/test/regress/Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 # intermediate, for muscle memory backward compatibility.
 check: check-full
 # check-full triggers all tests that ought to be run routinely
-check-full: check-multi check-multi-task-tracker check-multi-binary check-worker check-multi-fdw
+check-full: check-multi check-multi-task-tracker-extra check-multi-binary check-worker check-multi-fdw
 
 # using pg_regress_multi_check unnecessarily starts up multiple nodes, which isn't needed
 # for check-worker. But that's harmless besides a few cycles.
@@ -57,17 +57,17 @@
 	$(pg_regress_multi_check) --load-extension=citus --load-extension=hll -- \
 	$(MULTI_REGRESS_OPTS) $(EXTRA_TESTS) multi_create_table multi_master_protocol multi_stage_data multi_agg_approximate_distinct
 
-check-multi-task-tracker: all tempinstall-main
+check-multi-task-tracker-extra: all tempinstall-main
 	$(pg_regress_multi_check) --load-extension=citus \
 	--server-option=citus.task_executor_type=task-tracker \
-	--server-option=citus.task_tracker_delay=50ms \
 	--server-option=citus.large_table_shard_count=1 \
-	-- $(MULTI_REGRESS_OPTS) --schedule=$(citus_abs_srcdir)/multi_schedule $(EXTRA_TESTS)
+	-- $(MULTI_REGRESS_OPTS) --schedule=$(citus_abs_srcdir)/multi_task_tracker_extra_schedule $(EXTRA_TESTS)
+
 
 check-multi-binary: all tempinstall-main
 	$(pg_regress_multi_check) --load-extension=citus \
 	--server-option=citus.binary_worker_copy_format=on \
-	-- $(MULTI_REGRESS_OPTS) --schedule=$(citus_abs_srcdir)/multi_schedule $(EXTRA_TESTS)
+	-- $(MULTI_REGRESS_OPTS) --schedule=$(citus_abs_srcdir)/multi_binary_schedule $(EXTRA_TESTS)
 
 clean distclean maintainer-clean:
 	rm -f $(output_files) $(input_files)
