## citus 5.2.1.PGDG

=== debian/changelog ===
citus (5.2.1.PGDG-1.pgdg80+1) jessie-pgdg; urgency=medium

  * Rebuild for jessie-pgdg (jenkins-citus-source-distribution=jessie-9,
    a0097b771e56d0b04bb194710b4e8a999698361c/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Wed, 07 Sep 2016 19:58:01 +0200

citus (5.2.1.PGDG-1) unstable; urgency=low

  * Fixes subquery pushdown to properly extract outer join qualifiers

  * Addresses possible memory leak during multi-shard transactions

 -- Jason Petersen <jason@citusdata.com>  Tue, 6 Sep 2016 20:47:15 +0000
