## citus 6.0.0.PGDG

=== debian/changelog ===
citus (6.0.0.PGDG-1.pgdg80+4) jessie-pgdg; urgency=medium

  * Rebuild for jessie-pgdg (jenkins-citus-source-distribution=jessie-
    13, 63712af5378ba157a5bd9566752b4a3d015b0818/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Sat, 12 Nov 2016 00:37:03 +0100

citus (6.0.0.PGDG-1) unstable; urgency=low

  * Adds compatibility with PostgreSQL 9.6, now the recommended version

  * Removes the pg_worker_list.conf file in favor of a pg_dist_node table

  * Adds master_add_node and master_add_node UDFs to manage membership

  * Removes the \stage command and corresponding csql binary in favor of COPY

  * Removes copy_to_distributed_table in favor of first-class COPY support

  * Adds support for multiple DDL statements within a transaction

  * Adds support for certain foreign key constraints

  * Adds support for parallel INSERT INTO ... SELECT against colocated tables

  * Adds support for the TRUNCATE command

  * Adds support for HAVING clauses in SELECT queries

  * Adds support for EXCLUDE constraints which include the partition column

  * Adds support for system columns in queries (tableoid, ctid, etc.)

  * Adds support for relation name extension within INDEX definitions

  * Adds support for no-op UPDATEs of the partition column

  * Adds several general-purpose utility UDFs to aid in Citus maintenance

  * Adds master_expire_table_cache UDF to forcibly expire cached shards

  * Parallelizes the processing of DDL commands which affect distributed tables

  * Adds support for repartition jobs using composite or custom types

  * Enhances object name extension to handle long names and large shard counts

  * Parallelizes the master_modify_multiple_shards UDF

  * Changes distributed table creation to error if the target table is not empty

  * Changes the pg_dist_shard.logicalrelid column from an oid to regclass

  * Adds a placementid column to pg_dist_shard_placement, replacing Oid use

  * Removes the pg_dist_shard.shardalias distribution metadata column

  * Adds pg_dist_partition.repmodel to track tables using streaming replication

  * Adds internal infrastructure to take snapshots of distribution metadata

  * Addresses the need to invalidate prepared statements on metadata changes

  * Adds a mark_tables_colocated UDF for denoting pre-6.0 manual colocation

  * Fixes a bug affecting prepared statement execution within PL/pgSQL

  * Fixes a bug affecting COPY commands using composite types

  * Fixes a bug that could cause crashes during EXPLAIN EXECUTE

  * Separates worker and master job temporary folders

  * Eliminates race condition between distributed modification and repair

  * Relaxes the requirement that shard repairs also repair colocated shards

  * Implements internal functions to track which tables' shards are colocated

  * Adds pg_dist_partition.colocationid to track colocation group membership

  * Extends shard copy and move operations to respect colocation settings

  * Adds pg_dist_local_group to prepare for future MX-related changes

  * Adds create_distributed_table to easily create shards and infer colocation

 -- Jason Petersen <jason@citusdata.com>  Tue, 8 Nov 2016 19:45:45 +0000

citus (5.2.2.PGDG-1) unstable; urgency=low

  * Adds support for IF NOT EXISTS clause of CREATE INDEX command

  * Adds support for RETURN QUERY and FOR ... IN PL/pgSQL features

  * Extends the router planner to handle more queries

  * Changes COUNT of zero-row sets to return 0 rather than an empty result

  * Reduces the minimum permitted task_tracker_delay to a single millisecond

  * Fixes a bug that caused crashes during joins with a WHERE false clause

  * Fixes a bug triggered by unique violation errors raised in long transactions

  * Fixes a bug resulting in multiple registration of transaction callbacks

  * Fixes a bug which could result in stale reads of distribution metadata

  * Fixes a bug preventing distributed modifications in some PL/pgSQL functions

  * Fixes some code paths that could hypothetically read uninitialized memory

  * Lowers log level of "waiting for activity" messages

 -- Jason Petersen <jason@citusdata.com>  Tue, 8 Nov 2016 18:43:37 +0000
