## citus 6.0.1.PGDG

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 include Makefile.global
 
-all: extension csql
+all: extension
 
 # build extension
 extension:
@@ -30,18 +30,6 @@
 install: install-extension install-headers
 clean: clean-extension
 
-# build csql binary
-csql:
-	$(MAKE) -C src/bin/csql/ all
-install-csql: csql
-	$(MAKE) -C src/bin/csql/ install
-clean-csql:
-	$(MAKE) -C src/bin/csql/ clean
-.PHONY: csql install-csql clean-csql
-# Add to generic targets
-install: install-csql
-clean: clean-csql
-
 # apply or check style
 reindent:
 	cd ${citus_abs_top_srcdir} && citus_indent --quiet
