=== debian/changelog ===
citus (6.0.1.PGDG-1) unstable; urgency=low

  * Fixes a bug causing failures during pg_upgrade

  * Fixes a bug preventing DML queries during colocated table creation

  * Fixes a bug that caused NULL parameters to be incorrectly passed as text

 -- Burak Yucesoy <burak@citusdata.com>  Wed, 30 Nov 2016 15:27:38 +0000
