=== debian/changelog ===
citus (6.2.2.PGDG-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg (jenkins-citus-source-distribution=stretch-
    18, 70c4ba2a3e46d7f34784d1b92e3c146675331f83/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Thu, 08 Jun 2017 00:10:39 +0200

citus (6.2.2.PGDG-1) unstable; urgency=low

  * Fixes a common cause of deadlocks when repairing tables with foreign keys

 -- Burak Velioglu <velioglub@citusdata.com>  Wed, 07 Jun 2017 09:42:17 +0000
