=== debian/control ===
--- 
+++ 
@@ -7,6 +7,16 @@
 Standards-Version: 3.9.7
 Homepage: https://github.com/citusdata/citus
 XS-Testsuite: autopkgtest
+
+Package: postgresql-9.5-citus
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.5
+Description: sharding and distributed joins for PostgreSQL
+ Citus is a distributed database implemented as a PostgreSQL extension. It
+ provides functions to easily split a PostgreSQL table into shards to be
+ placed on remote worker nodes. Citus can replicate shards, update their
+ schemas, and keep track of shard health. An advanced distributed planner
+ is included which handles queries and modifications against sharded tables.
 
 Package: postgresql-9.6-citus
 Architecture: any
