## citus 7.0.1.PGDG

=== debian/changelog ===
citus (7.0.1.PGDG-1.pgdg80+1) jessie-pgdg; urgency=medium

  * Rebuild for jessie-pgdg (jenkins-citus-source-distribution=jessie-
    20, 5eec50ba0c13e44e221e93b4c5807d09cc1c7a62/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Wed, 13 Sep 2017 04:17:47 +0200

citus (7.0.1.PGDG-1) unstable; urgency=low

  * Fixes a bug that could cause memory leaks in INSERT ... SELECT queries

  * Fixes a bug that could cause incorrect execution of prepared statements

  * Fixes a bug that could cause excessive memory usage during COPY

  * Incorporates latest changes from core PostgreSQL code

 -- Burak Yucesoy <burak@citusdata.com>  Tue, 12 Sep 2017 17:53:50 +0000

citus (7.0.0.PGDG-1) unstable; urgency=low

  * Adds support for PostgreSQL 10

  * Drops support for PostgreSQL 9.5

  * Adds support for multi-row INSERT

  * Adds support for router UPDATE and DELETE queries with subqueries

  * Adds infrastructure for distributed deadlock detection

  * Deprecates enable_deadlock_prevention flag

  * Adds support for partitioned tables

  * Adds support for creating UNLOGGED tables

  * Adds support for SAVEPOINT

  * Adds UDF citus_create_restore_point for taking distributed snapshots

  * Adds support for evaluating non-pushable INSERT ... SELECT queries

  * Adds support for subquery pushdown on reference tables

  * Adds shard pruning support for IN and ANY

  * Adds support for UPDATE and DELETE commands that prune down to 0 shard

  * Enhances transaction support by relaxing some transaction restrictions

  * Fixes a bug causing crash if distributed table has no shards

  * Fixes a bug causing crash when removing inactive node

  * Fixes a bug causing failure during COPY on tables with dropped columns

  * Fixes a bug causing failure during DROP EXTENSION

  * Fixes a bug preventing executing VACUUM and INSERT concurrently

  * Fixes a bug in prepared INSERT statements containing an implicit cast

  * Fixes several issues related to statement cancellations and connections

  * Fixes several 2PC related issues

  * Removes an unnecessary dependency causing warning messages in pg_dump

  * Adds internal infrastructure for follower clusters

  * Adds internal infrastructure for progress tracking

  * Implements various performance improvements

  * Adds internal infrastructures and tests to improve development process

  * Addresses various race conditions and deadlocks

  * Improves and standardizes error messages

 -- Burak Yucesoy <burak@citusdata.com>  Wed, 30 Aug 2017 12:27:53 +0000
