## citus 7.0.2.PGDG

=== debian/changelog ===
citus (7.0.2.PGDG-2.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg (jenkins-citus-source-distribution=sid-25,
    50f6b1c6ad12b2ceb61e80bf60b49cd384be00b9/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Fri, 06 Oct 2017 01:25:20 +0200

citus (7.0.2.PGDG-2) unstable; urgency=low

  * Rebuild for PostgreSQL 10 compatibility

 -- Jason Petersen <jason@citusdata.com>  Thu, 5 Oct 2017 17:24:19 +0000

citus (7.0.2.PGDG-1) unstable; urgency=low

  * Updates task-tracker to limit file access

 -- Burak Yucesoy <burak@citusdata.com>  Thu, 28 Sep 2017 22:29:01 +0000
